Bug 986848 - ipa-client rpm should require keyutils
ipa-client rpm should require keyutils
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: ipa (Show other bugs)
7.0
Unspecified Unspecified
medium Severity unspecified
: rc
: ---
Assigned To: Martin Kosek
Namita Soman
:
Depends On:
Blocks: 1205660
  Show dependency treegraph
 
Reported: 2013-07-22 04:45 EDT by Eduardo Minguez
Modified: 2015-03-25 10:19 EDT (History)
3 users (show)

See Also:
Fixed In Version: ipa-3.3.0-0.2.beta2.el7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 1205660 (view as bug list)
Environment:
Last Closed: 2014-06-13 07:20:50 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Eduardo Minguez 2013-07-22 04:45:04 EDT
Description of problem:
RHEL6.0 + RHEL6.4 ipa-client packages doesn't install keyctl and ipa-client install will fail like this:

...
Configured /etc/krb5.conf for IPA realm IDM.LVTC.GSNET.CORP
Traceback (most recent call last):
  File "/usr/sbin/ipa-client-install", line 2323, in <module>
    sys.exit(main())
  File "/usr/sbin/ipa-client-install", line 2309, in main
    rval = install(options, env, fstore, statestore)
  File "/usr/sbin/ipa-client-install", line 2086, in install
    delete_persistent_client_session_data(host_principal)
  File "/usr/lib/python2.6/site-packages/ipalib/rpc.py", line 124, in delete_persistent_client_session_data
    kernel_keyring.del_key(keyname)
  File "/usr/lib/python2.6/site-packages/ipapython/kernel_keyring.py", line 99, in del_key
    real_key = get_real_key(key)
  File "/usr/lib/python2.6/site-packages/ipapython/kernel_keyring.py", line 45, in get_real_key
    (stdout, stderr, rc) = run(['keyctl', 'search', KEYRING, KEYTYPE, key], raiseonerr=False)
  File "/usr/lib/python2.6/site-packages/ipapython/ipautil.py", line 295, in run
    close_fds=True, env=env, cwd=cwd)
  File "/usr/lib64/python2.6/subprocess.py", line 639, in __init__
    errread, errwrite)
  File "/usr/lib64/python2.6/subprocess.py", line 1228, in _execute_child
    raise child_exception
OSError: [Errno 2] No such file or directory
...

[root@vmlbcipacl60 ~]# whereis keyctl
keyctl: /usr/share/man/man2/keyctl.2.gz
[root@vmlbcipacl60 ~]# rpm -qf /bin/keyctl
error: file /bin/keyctl: No such file or directory
[root@vmlbcipacl60 ~]# rpm -qa | grep -i keyutils
keyutils-libs-1.4-1.el6.x86_64

Version-Release number of selected component (if applicable):
ipa-client-3.0.0-26.el6_4.2.x86_64.rpm

How reproducible:
Try to enroll a RHEL6.0 client with the latest ipa-client packages

Steps to Reproduce:
1. Install RHEL6.0
2. Install ipa-client from RHEL6.4
3. ipa-client-install will fail

Actual results:
ipa-client-install fails:

...
Configured /etc/krb5.conf for IPA realm IDM.LVTC.GSNET.CORP
Traceback (most recent call last):
  File "/usr/sbin/ipa-client-install", line 2323, in <module>
    sys.exit(main())
  File "/usr/sbin/ipa-client-install", line 2309, in main
    rval = install(options, env, fstore, statestore)
  File "/usr/sbin/ipa-client-install", line 2086, in install
    delete_persistent_client_session_data(host_principal)
  File "/usr/lib/python2.6/site-packages/ipalib/rpc.py", line 124, in delete_persistent_client_session_data
    kernel_keyring.del_key(keyname)
  File "/usr/lib/python2.6/site-packages/ipapython/kernel_keyring.py", line 99, in del_key
    real_key = get_real_key(key)
  File "/usr/lib/python2.6/site-packages/ipapython/kernel_keyring.py", line 45, in get_real_key
    (stdout, stderr, rc) = run(['keyctl', 'search', KEYRING, KEYTYPE, key], raiseonerr=False)
  File "/usr/lib/python2.6/site-packages/ipapython/ipautil.py", line 295, in run
    close_fds=True, env=env, cwd=cwd)
  File "/usr/lib64/python2.6/subprocess.py", line 639, in __init__
    errread, errwrite)
  File "/usr/lib64/python2.6/subprocess.py", line 1228, in _execute_child
    raise child_exception
OSError: [Errno 2] No such file or directory
...

Expected results:
ipa-client-install enroll the client fine

Additional info:
Comment 2 Martin Kosek 2013-07-22 06:28:47 EDT
Upstream ticket:
https://fedorahosted.org/freeipa/ticket/3808
Comment 4 Petr Viktorin 2013-07-24 11:25:39 EDT
Fixed upstream:
    master: d094481ea6c8e04aff36414c569673a380a7863a
    ipa-3-2: 756deb013755d04b4ae0b14019beb23447b3e175
Comment 6 Scott Poore 2013-12-18 14:51:28 EST
Verified.

Version ::

ipa-python-3.3.3-5.el7.x86_64

Test Results ::

::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::
:: [   LOG    ] :: ipa_bugcheck_bz986848:  ipa-client rpm should require keyutils
::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::

ipa-python-3.3.3-5.el7.x86_64
:: [   PASS   ] :: Running 'rpm -e keyutils > /tmp/tmpout.ipa_bugcheck_bz986848 2>&1' (Expected 1, got 1)
error: Failed dependencies:
	keyutils is needed by (installed) ipa-python-3.3.3-5.el7.x86_64
	keyutils is needed by (installed) nfs-utils-1:1.2.9-0.3.el7.x86_64
:: [   PASS   ] :: Running 'cat /tmp/tmpout.ipa_bugcheck_bz986848' (Expected 0, got 0)
:: [   PASS   ] :: File '/tmp/tmpout.ipa_bugcheck_bz986848' should contain 'keyutils is needed by.*ipa' 
:: [   PASS   ] :: BZ 986848 not found
Comment 7 Ludek Smid 2014-06-13 07:20:50 EDT
This request was resolved in Red Hat Enterprise Linux 7.0.

Contact your manager or support representative in case you have further questions about the request.

Note You need to log in before you can comment on or make changes to this bug.